Subject: Re: bug#56967: 29.0.50; Frequent crashes under Wayland

From: Po Lu <[email-masked]>
Date: Mon, 08 Aug 2022 18:10:36 +0800

Bjoern Bidar <[email-masked]> writes:

> What could be the way that GTK is used or is emacs with pgtk 99% a run of the 
> mill gtk app?

Emacs isn't a run-of-the-mill GTK app, but we only use what the
platform-independent parts of what the GTK developers expose.

> I don't know, can  someone ask? I feel like these people act like douches when 
> some random person asks.

They behave that way no matter who asks, which is why most people have
already given up trying to interact with them.  Simple example:
apparently, all the GTK developers have expensive monitors, so modern
font rendering techniques that improve font rendering on Full-HD
monitors have been deleted from GTK 4, and anyone who complains is given
some ridiculous excuse along the lines of "expensive monitors are the
future" and "subpixel font anti-aliasing is not adaptable to our
rendering pipeline", even though multiple people have already proposed
patches that demonstrate the opposite.